.section--about {
  overflow: hidden;

  .addresses {
    margin-top: get-vw(55px);

    @include between($android-landscape, $desktop-sm) {
      margin-top: get-vw(45px, 1024);
    }
    @include bellow($android-landscape) {
      margin-top: get-vw(40px, 375);
    }
  }
}

.about {
  &__top {
    position: relative;

    &__bg {
      position: relative;
      overflow: hidden;
      width: 100%;

      &::after {
        content: "";
        position: relative;
        z-index: 2;
        display: block;
        width: 100%;
        //padding-bottom: 47.76%;
        padding-bottom: 56.25%;
        background: url("../images/about/vid-mask.png") 50% 50% no-repeat;
        //background-size: contain;
        background-size: cover;
        transition: transform 0.65s $cubic, opacity 0.5s;
        will-change: transform;
      }

      img {
        @include absFull;
        object-fit: cover;
        z-index: 1;
        transition: transform 0.65s $cubic, opacity 0.5s;
      }
    }

    &__video {
      @include absFull;
      z-index: 0;
    }

    &__play {
      @include absCenter;
      z-index: 3;

      width: get-vw(114px);
      height: get-vw(114px);
      font-size: 0;
      background: url("../images/about/vid-play.svg") 50% 50% no-repeat;
      background-size: contain;
      transition: transform 0.65s $cubic;
      will-change: transform;

      @include bellow($android-landscape) {
        width: get-vw(32px, 375);
        height: get-vw(32px, 375);
      }

      &:hover {
        transform: scale(0.96);

        & ~ .about__top__bg {
          &::after {
            transform: scale(1.08);
          }
          img {
            transform: scale(1.02);
          }
        }
      }
    }

    &__vid.video-showed {
      .about__top {
        &__play,
        &__bg img,
        &__bg::after {
          pointer-events: none;
        }
        &__play {
          transform: scale(0);
        }
        &__bg img,
        &__bg::after {
          opacity: 0;
        }
      }
    }
  }

  &__quote {
    position: relative;
    width: 100%;
    margin: get-vw(60px) 0 0;
    padding: get-vw(50px) get-vw(20px);
    transition: transform 1.2s $cubic 0.1s, opacity 0.65s ease 0.1s;
    color: $titleColor;
    font: 400 #{get-vw(28px)} / 1.3 $titleFont;
    letter-spacing: 0.03em;
    text-align: center;
    text-transform: capitalize;

    @include between($mobile, $desktop-sm) {
      margin-top: get-vw(35px, 1024);
      padding: get-vw(30px, 1024) get-vw(15px, 1024);
      font-size: get-vw(18px, 1024);
    }
    @include between($android-landscape, $mobile) {
      margin-top: get-vw(30px, 820);
      padding: get-vw(25px, 820) get-vw(10px, 820);
      font-size: get-vw(16px, 820);
    }
    @include bellow($android-landscape) {
      margin-top: get-vw(35px, 375);
      padding: get-vw(20px, 375) 0;
      font-size: get-vw(16px, 375);
    }

    &[data-anim="false"] {
      transform: translate3d(0, get-vw(65px), 0);
      opacity: 0;
    }

    &::before,
    &::after {
      content: "";
      position: absolute;
      right: 0;
      left: 0;
      display: block;
      height: 2px;
      margin: auto;
      background: $textColor;
      opacity: 0.3;
    }

    &::before {
      top: 0;
      width: get-vw(588px);
      transition: transform 1s $cubic 0.2s;
    }

    &::after {
      bottom: 0;
      width: get-vw(116px);
      transition: transform 1s $cubic 0.3s;
    }

    &[data-anim="false"] {
      &::before,
      &::after {
        transform: scaleX(0);
      }
    }
  }

  &__info {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin: get-vw(65px) 0 get-vw(105px);

    @include bellow($android-landscape) {
      flex-direction: column;
      align-items: center;
      margin: get-vw(35px, 375) 0 get-vw(50px, 375);
    }

    &__image {
      position: relative;
      width: get-vw(780px);
      transition: transform 0.65s $cubic;

      @include bellow($android-landscape) {
        width: calc(100% - 30px);
      }

      &[data-anim="false"] {
        transform: translate3d(get-vw(-20px), get-vw(-20px), 0);

        &::before {
          transform: translate3d(0, 0, 0);
        }
      }

      &::before {
        @include absFull;

        content: "";
        z-index: 0;
        background: #CECECE;
        transform: translate3d(get-vw(20px), get-vw(20px), 0);
        transition: transform 0.8s $cubic;
      }
      img {
        position: relative;
        width: 100%;
        z-index: 1;
      }
    }
    &__right {
      width: get-vw(705px);
      padding: get-vw(40px) 0 0 get-vw(115px);

      @include between($android-landscape, $desktop-sm) {
        width: get-vw(480px, 1024);
      }
      @include bellow($android-landscape) {
        width: 100%;
        margin-top: get-vw(35px, 375);
      }
    }
    &__quote {
      position: relative;
      margin-bottom: get-vw(35px);
      font-size: get-vw(24px);
      line-height: 1.25;
      color: $titleColor;
      transition: transform 1.2s $cubic 0.1s, opacity 0.65s ease 0.1s;

      @include bellow($desktop-sm) {
        margin-bottom: get-vw(22px, 1024);
        font-size: get-vw(18px, 1024);
      }
      @include bellow($android-landscape) {
        margin-bottom: get-vw(20px, 375);
        font-size: get-vw(16px, 375);
      }

      &[data-anim="false"] {
        transform: translate3d(get-vw(20px), 0, 0);
        opacity: 0;
      }

      &::before,
      &::after {
        content: "";
        z-index: -1;
        display: inline-block;
        width: get-vw(36px);
        height: get-vw(30px);
        background: url("./../images/icons/quotes.svg") 50% 50% no-repeat;
        background-size: contain;

        @include bellow($android-landscape) {
          width: get-vw(24px, 375);
          height: get-vw(24px, 375);
        }
      }
      &::before {
        position: absolute;
        top: get-vw(-25px);
        left: get-vw(-30px);

        @include bellow($android-landscape) {
          top: get-vw(-16px, 375);
          left: get-vw(-20px, 375);
        }
      }
      &::after {
        margin: get-vw(15px) 0 get-vw(-24px) get-vw(-23px);

        @include bellow($android-landscape) {
          margin: get-vw(10px, 375) 0 get-vw(-16px, 375) get-vw(-15px, 375);
        }
      }
    }
    &__signature {
      transition: transform 1.2s $cubic 0.1s, opacity 0.65s ease 0.1s;

      &[data-anim="false"] {
        transform: translate3d(get-vw(20px), 0, 0);
        opacity: 0;
      }

      img {
        display: block;
        margin-bottom: get-vw(20px);
      }

      p {
        margin: 0;
        font-size: 14px;
        line-height: 18px;
      }
    }
  }

  &__desc {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;

    @include bellow($android-landscape) {
      flex-direction: column;
    }

    &__one {
      width: 50%;
      font-size: get-vw(24px);
      line-height: 1.3;
      transition: transform 1.2s $cubic 0.1s, opacity 0.65s ease 0.1s;

      @include bellow($desktop-sm) {
        font-size: get-vw(16px, 1024);
      }
      @include bellow($android-landscape) {
        width: 100%;
        font-size: get-vw(14px, 375);
      }

      &[data-anim="false"] {
        transform: translate3d(get-vw(20px), 0, 0);
        opacity: 0;
      }

      &:first-child {
        transition-delay: 0s, 0s;
        padding-right: get-vw(160px);

        @include bellow($android-landscape) {
          padding-right: 0;
          margin-bottom: get-vw(25px, 375);
        }
      }
    }
  }
}
